#include <studio.h>

int main()
{
    in N,L,i,min,c=0;
    scanf("%d %d",&N,&L);
    int H[N];
    for(i=0;i<N;i++)
      scanf("%d",&H[i]);
    for(i=0;i<N;i++)
    {
        min=H[i];
        if(L>=min)
          printf("%d ",i+1);
        else
          c++;
    }
    if(c==N)
    printf("%d",-1);
    return 0;
}